<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <table border="1" width="50%">
        <tr>
            <th>X</th>
            <th>1</th>
            <th>2</th>
            <th>3</th>
            <th>4</th>
            <th>5</th>
            <th>6</th>
            <th>7</th>
            <th>8</th>
            <th>9</th>
            <th>10</th>
        </tr>
        <tr>
            <th>1</th>
            <td colspan="3">cel</td>
            <td rowspan="2">cel</td>
            <td rowspan="2">cel</td>
            <td colspan="3">cel</td>
            <td colspan="2" rowspan="2">cel</td>
        </tr>
        <tr>
            <th>2</th>
            <td>cel</td>
            <td colspan="2">cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>3</th>
            <td colspan="3">cel</td>
            <td>cel</td>
            <td>cel</td>
            <td colspan="3">cel</td>
            <td rowspan="2">cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>4</th>
            <td rowspan="2">cel</td>
            <td rowspan="3">cel</td>
            <td rowspan="2">cel</td>
            <td>cel</td>
            <td>cel</td>
            <td colspan="3">cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>5</th>
            <td colspan="5">cel</td>
            <td>cel</td>
            <td rowspan="2">cel</td>
        </tr>
        <tr>
            <th>6</th>
            <td>cel</td>
            <td>cel</td>
            <td colspan="2">cel</td>
            <td colspan="3">cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>7</th>
            <td rowspan="3">cel</td>
            <td rowspan="2">cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td rowspan="3">cel</td>
            <td>cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>8</th>
            <td rowspan="2">cel</td>
            <td rowspan="2">cel</td>
            <td rowspan="2">cel</td>
            <td>cel</td>
            <td rowspan="3">cel</td>
            <td colspan="2">cel</td>
        </tr>
        <tr>
            <th>9</th>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
        </tr>
        <tr>
            <th>10</th>
            <td>cel</td>
            <td colspan="2">cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td>cel</td>
            <td colspan="2">cel</td>
        </tr>
    </table>
</body>
</html>